BasicOntologyNetwork (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class BasicOntologyNetwork

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicOntologyNetwork

All Implemented Interfaces:
  Cloneable, OntologyNetwork

Direct Known Subclasses:
  IDDLOntologyNetwork

    public class BasicOntologyNetwork

extends Object
implements OntologyNetwork

Represents a distributed system of aligned ontologies or network of ontologies.

Version:
  $Id: BasicOntologyNetwork.java 1205 2010-01-10 21:00:31Z euzenat $
Author:
  J�r�me Euzenat

Field Summary
`protected HashSet<Alignment>` | `alignments`
`protected Hashtable<URI,OntologyTriple>` | `ontologies`

Constructor Summary
`BasicOntologyNetwork()`

Method Summary
`void` | `addAlignment(Alignment al)`
`void` | `addOntology(URI onto)`
`Set<Alignment>` | `getAlignments()`
`Set<URI>` | `getOntologies()`
`Set<Alignment>` | `getSourceAlignments(URI onto)`
`Set<Alignment>` | `getTargetingAlignments(URI onto)`
`void` | `invert()` close reflexively the network.
`void` | `remAlignment(Alignment al)`
`void` | `remOntology(URI onto)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ontologies

    protected Hashtable<URI,OntologyTriple> ontologies

### alignments

    protected HashSet<Alignment> alignments

Constructor Detail

### BasicOntologyNetwork

    public BasicOntologyNetwork()

Method Detail

### addOntology

    public void addOntology(URI onto)

  Specified by:
    `addOntology` in interface `OntologyNetwork`

### remOntology

    public void remOntology(URI onto)
                     throws AlignmentException

  Specified by:
    `remOntology` in interface `OntologyNetwork`
  Throws:
    `AlignmentException`

### addAlignment

    public void addAlignment(Alignment al)
                      throws AlignmentException

  Specified by:
    `addAlignment` in interface `OntologyNetwork`
  Throws:
    `AlignmentException`

### remAlignment

    public void remAlignment(Alignment al)
                      throws AlignmentException

  Specified by:
    `remAlignment` in interface `OntologyNetwork`
  Throws:
    `AlignmentException`

### getAlignments

    public Set<Alignment> getAlignments()

  Specified by:
    `getAlignments` in interface `OntologyNetwork`

### getOntologies

    public Set<URI> getOntologies()

  Specified by:
    `getOntologies` in interface `OntologyNetwork`

### getTargetingAlignments

    public Set<Alignment> getTargetingAlignments(URI onto)

  Specified by:
    `getTargetingAlignments` in interface `OntologyNetwork`

### getSourceAlignments

    public Set<Alignment> getSourceAlignments(URI onto)

  Specified by:
    `getSourceAlignments` in interface `OntologyNetwork`

### invert

    public void invert()
                throws AlignmentException

  Description copied from interface: `OntologyNetwork`
  close reflexively the network. The network is modified.

  Specified by:
    `invert` in interface `OntologyNetwork`
  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010